Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# semun Union Reference

`#include <os_sem.h>`

List of all members.

## Public Attributes
int | val
| value for SETVAL
semid_ds * | buf
| buffer for IPC_STAT & IPC_SET
u_short * | array
| array for GETALL & SETALL

## Member Data Documentation

u_short* semun::array

| array for GETALL & SETALL

struct semid_ds* semun::buf

| buffer for IPC_STAT & IPC_SET

int semun::val

| value for SETVAL

The documentation for this union was generated from the following file:

- os_sem.h